Skip to main content
GET
/
customers
/
{customer_id}
/
payment-methods
/
{payment_method_id}
Retrieve Enrolled Payment Method by Id
curl --request GET \
  --url https://api-sandbox.y.uno/v1/customers/{customer_id}/payment-methods/{payment_method_id} \
  --header 'private-secret-key: <api-key>' \
  --header 'public-api-key: <api-key>'
{
  "idempotency_key": "2ca58c6d-8794-4c8f-a2f6-bba4b7498b74",
  "id": "2fd6bf11-2129-4061-9c2a-34e196f89753",
  "account_id": "493e9374-510a-4201-9e09-de669d75f256",
  "name": "VISA ****1111",
  "description": "VISA ****1111",
  "type": "CARD",
  "category": "CARD",
  "country": "US",
  "status": "ENROLLED",
  "sub_status": null,
  "vaulted_token": "7ced7717-f860-4705-a376-58a714953de9",
  "action": "FORM",
  "redirect_url": null,
  "created_at": "2024-06-04T12:47:46.992602Z",
  "updated_at": "2024-06-04T12:47:46.992603Z",
  "enrollment": {
    "session": "",
    "sdk_required_action": false
  },
  "provider": {
    "id": "YUNO",
    "type": "YUNO",
    "token": "e47299a5-269e-42a1-9be1-9f64e400413a",
    "provider_status": null
  },
  "customer_payer": {
    "first_name": "John",
    "last_name": "Doe",
    "email": "john.doe@example.com",
    "gender": "M",
    "date_of_birth": "1990-02-28",
    "document": {
      "document_number": "123456789",
      "document_type": "SSN"
    },
    "phone": {
      "number": "5551234567",
      "country_code": "1"
    },
    "billing_address": {
      "address_line_1": "123 Main St",
      "address_line_2": "Apt 4B",
      "country": "US",
      "state": "NY",
      "city": "New York",
      "zip_code": "10001"
    }
  },
  "card_data": {
    "iin": "41111111",
    "lfd": "1111",
    "expiration_month": 3,
    "expiration_year": 26,
    "number_length": 16,
    "security_code_length": 3,
    "brand": "VISA",
    "issuer": "JPMORGAN CHASE BANK N A",
    "issuer_code": null,
    "category": "CREDIT",
    "type": "CREDIT",
    "fingerprint": "55a7fe38-cdc3-45dc-8c5f-820751799c76"
  },
  "last_successfully_used": null,
  "last_successfully_used_at": null,
  "verify": {
    "vault_on_success": false,
    "payment": null
  },
  "preferred": null
}
Retrieve a specific payment method that a user has enrolled in.
Retrieve Enrolled Payment MethodTo recover the enrolled payment method information, you need to provide the payment_method_id, which is the vaulted_token received when using the Enroll Payment Method endpoint.

Authorizations

public-api-key
string
header
default:<Your public-api-key>
required
private-secret-key
string
header
default:<Your private-secret-key>
required

Path Parameters

customer_id
string
required

The unique identifier of the customer, created using the Create Customer endpoint (UUID, 36 chars).

payment_method_id
string
required

The unique identifier of the payment_method. This information was received as the vaulted_token by enrolling a payment method using Enroll Payment Method (UUID, 36 chars).

Response

200

idempotency_key
string
Example:

"2ca58c6d-8794-4c8f-a2f6-bba4b7498b74"

id
string
Example:

"2fd6bf11-2129-4061-9c2a-34e196f89753"

account_id
string
Example:

"493e9374-510a-4201-9e09-de669d75f256"

name
string
Example:

"VISA ****1111"

description
string
Example:

"VISA ****1111"

type
string
Example:

"CARD"

category
string
Example:

"CARD"

country
string
Example:

"US"

status
string
Example:

"ENROLLED"

sub_status
any
vaulted_token
string
Example:

"7ced7717-f860-4705-a376-58a714953de9"

action
string
Example:

"FORM"

redirect_url
any
created_at
string
Example:

"2024-06-04T12:47:46.992602Z"

updated_at
string
Example:

"2024-06-04T12:47:46.992603Z"

enrollment
object
provider
object
customer_payer
object
card_data
object
last_successfully_used
any
last_successfully_used_at
any
verify
object
preferred
any